尺寸类

### Hierarchy

- HashObject
  - Size

## Index

### Constructors

- constructor

### Properties

- height
- onChange
- width

### Accessors

- hashCode
- isEmpty

### Methods

- clone
- copyFrom
- onModify
- set
- setNaN

## Constructors

### constructor

- new Size(width?: number, height?: number, onChange?: Function): Size

- Overrides HashObject.constructor

  - Defined in support/Size.ts:24

  #### Parameters

  - ##### Default value width: number = NaN

  - ##### Default value height: number = NaN

  - ##### Optional onChange: Function

  #### Returns Size

## Properties

### height

height: number

- Defined in support/Size.ts:22

高度

### onChange

onChange: any

- Defined in support/Size.ts:24

### width

width: number

- Defined in support/Size.ts:16

宽度

## Accessors

### hashCode

hashCode:

Inherited from HashObject.hashCode

- Defined in core/HashObject.ts:21

### isEmpty

isEmpty:

- Defined in support/Size.ts:46

是否空尺寸

## Methods

### clone

- clone(): Size

- - Defined in support/Size.ts:68

  克隆一个尺寸实例

  #### Returns Size

### copyFrom

- copyFrom(target: any): void

- - Defined in support/Size.ts:76

  从一个尺寸实例拷贝

  #### Parameters

  - ##### target: any

  #### Returns void

### onModify

- onModify(value: any, key: any, oldValue: any): void

- - Defined in support/Size.ts:81

  #### Parameters

  - ##### value: any

  - ##### key: any

  - ##### oldValue: any

  #### Returns void

### set

- set(width?: number, height?: number): void

- - Defined in support/Size.ts:55

  设置宽高

  #### Parameters

  - ##### Optional width: number

  - ##### Optional height: number

  #### Returns void

### setNaN

- setNaN(): void

- - Defined in support/Size.ts:38

  置空

  #### Returns void

Generated using TypeDoc